package com.clx.performance.param.pc.breakcontract;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Author: aiqingguo
 * @Date: 2023-10-11 17:30:57
 * @Version: 1.0
 */
@Setter
@Getter
@ToString
@NoArgsConstructor
public class BreakContractOwnerRecordAddParam {

    @ApiModelProperty("违约方类型：1平台 2货主 3司机")
    private Integer breachContractPartyType;

    @ApiModelProperty("违约单")
    private String orderNo;

    @ApiModelProperty("违约金")
    private BigDecimal figure;

    @ApiModelProperty("备注")
    private String remark;

}
