package com.clx.performance.service.impl.breakcontract;

import com.clx.performance.dao.breakcontract.BreakContractDriverRecordDao;
import com.clx.performance.dao.breakcontract.BreakContractOwnerRecordDao;
import com.clx.performance.model.breakcontract.BreakContractDriverRecord;
import com.clx.performance.param.pc.breakcontract.BreakContractDriverRecordAddParam;
import com.clx.performance.service.breakcontract.BreakContractDriverRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author liruixin
 * Date 2023-10-24
 * Time 16:02
 */
@Service
public class BreakContractDriverRecordServiceImpl  implements BreakContractDriverRecordService {

    @Autowired
    private BreakContractDriverRecordDao breakContractDriverRecordDao;
    @Override
    public void saveRecord(BreakContractDriverRecordAddParam param) {
        BreakContractDriverRecord record = new BreakContractDriverRecord();
        record.setTriggerType(2);
        record.setChildNo(param.getChildNo());
        record.setFigure(param.getFigure());
        record.setTimeLimit(param.getTimeLimit());

        record.setRemark(param.getRemark());

        breakContractDriverRecordDao.saveEntity(record);
    }
}
