package com.clx.performance.service.impl.breakcontract;


import com.clx.performance.dao.breakcontract.BreakContractDriverRecordDao;
import com.clx.performance.dao.breakcontract.BreakContractOwnerRecordDao;
import com.clx.performance.model.breakcontract.BreakContractDriverRecord;
import com.clx.performance.model.breakcontract.BreakContractOwnerRecord;
import com.clx.performance.param.pc.breakcontract.BreakContractOwnerRecordAddParam;
import com.clx.performance.service.breakcontract.BreakContractOwnerRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author liruixin
 * Date 2023-10-24
 * Time 16:02
 */
@Service
public class BreakContractOwnerRecordServiceImpl  implements BreakContractOwnerRecordService {

    @Autowired
    private BreakContractOwnerRecordDao breakContractOwnerRecordDao;


    @Override
    public void saveRecord(BreakContractOwnerRecordAddParam param) {

        BreakContractOwnerRecord record = new BreakContractOwnerRecord();

        record.setTriggerType(2);
        record.setBreachContractPartyType(param.getBreachContractPartyType());
        record.setBreachContractPartyType(param.getBreachContractPartyType());
        record.setOrderNo(param.getOrderNo());
        record.setFigure(param.getFigure());
        record.setRemark(param.getRemark());

        breakContractOwnerRecordDao.saveEntity(record);
    }
}
